Skip to main content
POST
/
v2
/
router
/
images
/
variations
Create image variation
curl --request POST \
  --url https://api.orq.ai/v2/router/images/variations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'model=<string>' \
  --form 'image=<unknown>' \
  --form n=1 \
  --form response_format=url \
  --form size=1024x1024 \
  --form 'user=<string>' \
  --form 'name=<string>' \
  --form 'fallbacks={
  "model": "<string>"
}' \
  --form 'retry={
  "count": 3,
  "on_codes": [
    429,
    500,
    502,
    503,
    504
  ]
}' \
  --form 'cache={
  "type": "exact_match",
  "ttl": 3600
}' \
  --form 'load_balancer={
  "type": "weight_based",
  "models": [
    {
      "model": "openai/gpt-4o",
      "weight": 0.7
    }
  ]
}' \
  --form 'timeout={
  "call_timeout": 30000
}' \
  --form 'orq={
  "name": "<string>",
  "retry": {
    "count": 3,
    "on_codes": [
      429,
      500,
      502,
      503,
      504
    ]
  },
  "fallbacks": [
    {
      "model": "openai/gpt-4o-mini"
    }
  ],
  "prompt": {
    "id": "prompt_01ARZ3NDEKTSV4RRFFQ69G5FAV",
    "version": "latest"
  },
  "identity": {
    "id": "contact_01ARZ3NDEKTSV4RRFFQ69G5FAV",
    "display_name": "Jane Doe",
    "email": "jane.doe@example.com",
    "metadata": [
      {
        "department": "Engineering",
        "role": "Senior Developer"
      }
    ],
    "logo_url": "https://example.com/avatars/jane-doe.jpg",
    "tags": [
      "hr",
      "engineering"
    ]
  },
  "contact": {
    "id": "contact_01ARZ3NDEKTSV4RRFFQ69G5FAV",
    "display_name": "Jane Doe",
    "email": "jane.doe@example.com",
    "metadata": [
      {
        "department": "Engineering",
        "role": "Senior Developer"
      }
    ],
    "logo_url": "https://example.com/avatars/jane-doe.jpg",
    "tags": [
      "hr",
      "engineering"
    ]
  },
  "cache": {
    "type": "exact_match",
    "ttl": 3600
  },
  "load_balancer": {
    "type": "weight_based",
    "models": [
      {
        "model": "openai/gpt-4o",
        "weight": 0.7
      },
      {
        "model": "anthropic/claude-3-5-sonnet",
        "weight": 0.3
      }
    ]
  },
  "timeout": {
    "call_timeout": 30000
  }
}'
{
  "created": 123,
  "data": [
    {
      "b64_json": "<string>",
      "url": "<string>"
    }
  ],
  "output_format": "<string>",
  "size": "<string>",
  "quality": "<string>",
  "usage": {
    "total_tokens": 123,
    "input_tokens": 123,
    "output_tokens": 123,
    "input_tokens_details": {
      "text_tokens": 123,
      "image_tokens": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data

input

model
string
required

The model to use for image generation.

image
any

The image to edit. Must be a supported image file. It should be a png, webp, or jpg file less than 50MB.

n
integer | null
default:1

The number of images to generate. Must be between 1 and 10.

Required range: 1 <= x <= 10
response_format
enum<string>
default:url

The format in which the generated images are returned. Must be one of url or b64_json. URLs are only valid for 60 minutes after the image has been generated.

Available options:
url,
b64_json
size
enum<string>
default:1024x1024

The size of the generated images. Must be one of 256x256, 512x512, or 1024x1024.

Available options:
256x256,
512x512,
1024x1024
user
string

A unique identifier representing your end-user, which can help to monitor and detect abuse.

name
string

The name to display on the trace. If not specified, the default system name will be used.

fallbacks
object[]

Array of fallback models to use if primary model fails

retry
object

Retry configuration for the request

cache
object

Cache configuration for the request.

load_balancer
object

Load balancer configuration for the request.

timeout
object

Timeout configuration to apply to the request. If the request exceeds the timeout, it will be retried or fallback to the next model if configured.

orq
object

Response

200 - application/json

Represents an image variation response from the API.

created
number
required

The Unix timestamp (in seconds) of when the image was created.

data
object[]
required

The list of generated images.

output_format
string

The output format of the image generation

size
string

The size of the image generated

quality
string

The quality of the image generated

usage
object

The token usage information for the image generation.